mfschunkserver(8)

NAME
mfschunkserver - start, restart or stop MooseFS chunkserver process

SYNOPSIS
mfschunkserver [-c CFGFILE] [-f] [-d] [-u] [-n] [-t LOCKTIMEOUT] [ACTION]

mfschunkserver -v

mfschunkserver -h

DESCRIPTION

mfschunkserver is the data server of MooseFS.

OPTIONS

-v  print version information and exit

-h  print usage information and exit

-c CFGFILE
    specify alternative path of configuration file (default is mfschunkserver.cfg in system configuration directory)

-f  run in foreground, don't daemonize

-d  run with dangerous options (names: DANGEROUS_*)

-u  log undefined configuration values (when default is assumed)

-n  do not attempt to increase limit of core dump size

-t LOCKTIMEOUT
    how long to wait for lockfile (in seconds; default is 60 seconds)

ACTION
    tells chunkserver to perform one of the following actions:

    start
        Start chunkserver process if the process is not already running, otherwise display error message.

    stop
        Stop chunkserver process if the process is running, otherwise display error message.

    restart
        (default action) If the chunkserver process is running, restart it, if it's not running, start it.

    reload
        Send a signal to chunkserver process to reload config files.

    info
        Send a singal to chunkserver process to dump debug information file in working directory.

    test
        Displays "mfschunkserver pid: PID" if the chunkserver is running (and return 0) or "mfschunkserver is not running" otherwise (and return 1).

    kill
        Send termination signal to chunkserver process.

    restore
        Not implemented.

FILES

mfschunkserver.cfg
    configuration file for MooseFS chunkserver process; refer to mfschunkserver.cfg(5) manual for details

mfshdd.cfg
    list of directories (mountpoints) used for MooseFS storage; refer to mfshdd.cfg(5) manual for details

.mfschunkserver.lock
    lock file of running MooseFS chunkserver process (created in data directory)

data.csstats
    chunkserver charts state (created in data directory)

REPORTING BUGS
Report bugs to <bugs@moosefs.com>.

COPYRIGHT
Copyright (C) 2025 Jakub Kruszona-Zawadzki, Saglabs SA

This file is part of MooseFS.

MooseFS is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, version 2 (only).

MooseFS is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with MooseFS; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02111-1301, USA or visit http://www.gnu.org/licenses/gpl-2.0.html

SEE ALSO
mfsmaster(8), mfsmount(8), mfschunkserver.cfg(5), mfshdd.cfg(5)